@media (prefers-color-scheme: dark) {
  body {
    --bgColor-default: #0d1117;
    --bgColor-muted: #151b23;
    --fgColor-default: #f0f6fc;
  }
}

@media (prefers-color-scheme: light) {
  body {
    --bgColor-default: #ffffff;
    --bgColor-muted: #f6f8fa;
    --fgColor-default: #1f2328;
  } 
}


body {
    background-color: var(--bgColor-default);
}

svg {
  fill: var(--fgColor-default);
}

.markdown-body {
    box-sizing: border-box;
    min-width: 200px;
    max-width: 980px;
    margin: 0 auto;
    padding: 45px;
    text-align: justify;
}

.markdown-body figure {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.markdown-body img {
    border-radius: 8px;
}

.markdown-body figcaption {
    font-style: italic;
}


@media (max-width: 767px) {
    .markdown-body {
        padding: 15px;
    }
}

.page-header {
    width: 100%;
    margin-bottom: 20px;
    overflow: auto;
}

.header-buttons {
    float: right;
    display: flex;
    gap: 12px;
}

.btn-like {
  padding: 6px;
  border-radius: 6px;
  text-decoration: none;
  color: var(--fgColor-default);
  text-decoration: none !important;
}

.btn {
  transition: background-color 0.2s ease;
}

.btn:hover {
    background-color: var(--bgColor-muted);
}

.header-btn {
  display: inline-flex;
  align-items: center;
  justify-content: center;
}

.markdown-body .title-nav {
  position: sticky;
  top: 0;
  z-index: 10;
  background-color: var(--bgColor-default);
}

.markdown-body .title-nav h1 {
  width: 100%;
}

.markdown-body .page-buttons {
  position: absolute;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
  display: flex;
  gap: 0.5rem;
  align-items: center;
}

.multipage {
  padding-bottom: 8px;
}